﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Calendar;

namespace CalendarDayTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var selector = this.Resources["WeatherTemplateSelector"] as WeatherTemplateSelector;
            selector.DataCollection = this.GetWeatherCollection();

            this.calendar.DayTemplateSelector = selector;
        }

        private ObservableCollection<Forecast> GetWeatherCollection()
        {
            var collection = new ObservableCollection<Forecast>();
            var firstDayOfMonth = new DateTime(2019, 09, 01);

            for (int i = 0; i < 30; i++)
            {
                var dailyForecast = i % 2 == 0 ? "Sunny" : "Rainy";

                collection.Add(new Forecast { Date = firstDayOfMonth.AddDays(i), Temperature = i, DayForecast = dailyForecast });
            }

            return collection;
        }
    }
}
