﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace CalendarDayTemplate
{
    public class WeatherTemplateSelector : DataTemplateSelector
    {
        public WeatherTemplateSelector()
        {
            this._dataCollection = new ObservableCollection<Forecast>();
        }

        private ObservableCollection<Forecast> _dataCollection;
        public ObservableCollection<Forecast> DataCollection
        {
            get
            {
                return this._dataCollection;
            }
            set
            {
                this._dataCollection = value;
            }
        }

        public DataTemplate SunnyTemplate { get; set; }
        public DataTemplate RainyTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            var content = item as CalendarButtonContent;

            var currentDayForecast = this._dataCollection.Where(f => f.Date == content.Date).FirstOrDefault();

            if (currentDayForecast != null)
            {
                switch (currentDayForecast.DayForecast)
                {
                    case "Sunny":
                        return this.SunnyTemplate;
                    case "Rainy":
                        return this.RainyTemplate;
                    default:
                        break;
                }
            }

            return base.SelectTemplate(item, container);
        }
    }
}
